language: cn
model_unique_abbr: retinanet_csv_pytorch
version: 1.0
identification:
  docker_image_name: retinanet_csv:1.0
  model_name: 视网膜网络(CSV)
  semantic: RetinaNet
  description: 以监督学习方式对图像进行目标检测，实现对图像中对象的识别与定位
  category_application: 预测型
  category_data:
  - 图像数据
  keywords:
  - 图像分类
  - 目标检测
  - 对象识别
parameter_info:
  parameters:

  - arg_name: ct
    param_type: input_data
    name: 标注文件
    description: 带有标注的CSV文件应每行包含一个注释,具有多个边界框的图像应使用每个边界框一行。
    data_type: str
    data_semantic: Path to file containing training annotations

  - arg_name: cc
    param_type: input_data
    name: 类名到 ID 的映射文件应包含每行一个映射。
    description: 类的映射文件
    data_type: str
    data_semantic: Path to file containing class list

  - arg_name: cv
    param_type: input_data
    name: 包含验证标注的文件
    description: 包含验证标注的文件的路径
    data_type: str
    data_semantic: Path to file containing validation annotations
  - arg_name: r
    param_type: output_data
    name: 训练结果的输出路径
    description: 输出训练结果
    data_type: str
    data_semantic: output path
  - arg_name: depth
    param_type: param
    name: 网络深度
    description: resnet网络深度( 18, 34, 50, 101, 152)   推荐选择18
    is_required: false
    data_type: int
    data_semantic: Resnet depth
    specification:
      default: 18
      range:
      - "[18,152]"
  - arg_name: e
    param_type: param
    name: 遍历次数
    description: 总的训练次数，范围：[1,  )    推荐选择5
    is_required: false
    data_type: int
    data_semantic: Number of epochs
    specification:
      default: 5
      range:
      - "[1,)"


application:
  domain: 图像目标检测
  objective: 依据先验信息处理影像数据，输出目标的类别标签、位置信息（边界框坐标）以及置信度分数。
  link_models:
    alternative:
    - pytorch-retinanet
  mechanism: 对输入影像数据集使用编码器进行深度特征提取，再使用解码器从特征中获取目标的类别标签、位置信息（边界框坐标）以及置信度分数。
operation:
  usage: 在命令行中用代码指定图像数据类型,图像路径,网络深度,数据遍历次数,训练结果路径路径,完成算法运行。
  exec_example:
  - docker run -v $(pwd):/data retinanet_gpu:1.0 -cv ./data/val_annots.csv  -cc ./data/class_list.csv -ct ./data/train_annots.csv  -depth 18 -e 100 -r ./result
  output_display:
    - 输出训练结果的pth文件
  license:
  - Apache License

technique:
  language:
  - Python
  os:
  - Linux
  - Windows
  hardware:
  - GPU
  dependencies:
  - name: python
    version: 3.8
  - name: numpy
    version: 1.24.4
  - name: opencv-python
    version: 4.8.1.78
  - name: requests
    version: 2.31.0
  - name: scikit-image
    version: 0.21.0
  - name: cuda
    version: 11.0
  - name: cudnn
    version: 8
source:
  maintainer: Xuandi Liu
  organization: Beijing University of Civil Engineering and Architecture
  contact: 386469007@qq.com
  references:
  - https://github.com/yhenon/pytorch-retinanet
